
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_sitenode")]
    public class BaseSitenode
    {

        [Key]
        [Column("id")]
        public Guid? id { get; set; }

        /// <summary>
        /// 站台编码
        /// </summary>
        [Column("site_no")]
        public string siteNo { get; set; }

        /// <summary>
        /// 站台名称
        /// </summary>
        [Column("site_name")]
        public string siteName { get; set; }

        /// <summary>
        /// 站台类型
        /// </summary>
        [Column("site_tasktype")]
        public Guid? siteTasktype { get; set; }

        /// <summary>
        /// ip地址
        /// </summary>
        [Column("site_ipaddress")]
        public string siteIpaddress { get; set; }

        /// <summary>
        /// 链接服务器端口号
        /// </summary>
        [Column("site_serverport")]
        public int? siteServerport { get; set; }

        /// <summary>
        /// thrift端口号
        /// </summary>
        [Column("thrift_port")]
        public int? thriftPort { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

